Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		slv2
#Epoch:		0
Version:	0.6.6
Release:	2
License:	GNU/GPL
URL:		http://drobilla.net/blog/software/slv2/
Group:		Multimedia/Audio
Summary:	host library for management of LV2 plugins
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:
Patch0:		slv2-python26.patch

# Requires:

# BuildRequires:
BuildRequires:	lv2core-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: pkg-config
BuildRequires: raptor-devel
BuildRequires: rasqal-devel
BuildRequires: redland-devel

%description
SLV2 is a host library to simplify the discovery, loading, and use of LV2 plugins.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 

%build
./waf configure \
--prefix=%_prefix 

./waf build %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=$RPM_BUILD_ROOT
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/lv2_inspect
%{_bindir}/lv2_jack_host
%{_bindir}/lv2_list
%{_bindir}/lv2_simple_jack_host
%{_libdir}/libslv2.so.*
%{_mandir}/man1/lv2_inspect.1.gz
%{_mandir}/man1/lv2_jack_host.1.gz
%{_mandir}/man1/lv2_list.1.gz
%{_mandir}/man1/lv2_simple_jack_host.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/slv2/collections.h
%{_includedir}/slv2/lv2_ui.h
%{_includedir}/slv2/plugin.h
%{_includedir}/slv2/pluginclass.h
%{_includedir}/slv2/plugininstance.h
%{_includedir}/slv2/pluginui.h
%{_includedir}/slv2/pluginuiinstance.h
%{_includedir}/slv2/port.h
%{_includedir}/slv2/query.h
%{_includedir}/slv2/scalepoint.h
%{_includedir}/slv2/slv2.h
%{_includedir}/slv2/types.h
%{_includedir}/slv2/util.h
%{_includedir}/slv2/value.h
%{_includedir}/slv2/world.h
%{_libdir}/libslv2.so
%{_pkgconfig}/slv2.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-2
- rebuilt against redland 1.0.10
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.6.6-1
- initial CCux package release
